Bug 1199978 - ntpd -x steps clock on leap second
Summary: ntpd -x steps clock on leap second
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1190619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-09 12:29 UTC by Jan Kurik
Modified: 2019-07-11 08:45 UTC (History)
14 users (show)

Fixed In Version: ntp-4.2.6p5-3.el6_6
Doc Type: Bug Fix
Doc Text:
Previously, when the ntpd daemon was configured with the "-x" option to adjust the system clock slowly instead of changing the time instantaneously, the system clock was incorrectly changed instantaneously when a leap second occurred. In certain applications, this could lead to a variety of system clock related problems, such as incorrect event sorting or triggering. To fix this bug, ntpd now adjusts for the leap second slowly over a long interval, which prevents the described problems.
Clone Of: 1190619
Environment:
Last Closed: 2015-03-16 09:07:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0690 normal SHIPPED_LIVE ntp bug fix update 2015-03-16 13:07:09 UTC
Network Time Protocol 2745 None None None Never

Description Jan Kurik 2015-03-09 12:29:57 UTC
This bug has been copied from bug #1190619 and has been proposed
to be backported to 6.6 z-stream (EUS).

Comment 9 errata-xmlrpc 2015-03-16 09:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0690.html


Note You need to log in before you can comment on or make changes to this bug.